View Issue Details

IDProjectCategoryView StatusLast Update
0000114Adventure PHP FrameworkBugpublic2015-10-12 12:20
Reporterapffan200Assigned ToChristianAchatz 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.1 
Summary0000114: Bug im Arraypager
DescriptionHallo ihr,

beim arbeiten mit dem Arraypager ist mir aufgefallen, dass der DocumentController dieser Extension Attribute aus seiner Klasseninstanz, statt aus der des Document Objekts aufruft, was dazu führt, dass die Attribute nicht aufrufbar sind, was zu Fehlern führte.
Ich habe in der Angehangenen Verbesserung via array_merge() die Attribute des Dokument Controllers und der des Document Objekts im Controller zusammengefasst
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespaceextensions

Activities

ChristianAchatz

2014-02-09 11:09

administrator   ~0000210

Die Extension arraypager wurde mit dem Release 2.0 offenbar vergessen anzupassen. Der Zugriff auf

$this->attributes

im Document-Controller funktioniert grundsätzlich nicht, da im Controller nur noch über

$this->getDocument()->getAttributes()

auf die Attribute des aktuellen Dokuments zugegriffen werden kann.

Der ArrayPagerController scheint der einzige zu sein, der diese alte Zugriffsweise noch nutzt. Wenn für dich OK, fixe ich das im 2.1-Release und du kannst die entsprechenden Änderungen dann für deine lokale Installation nutzen.

apffan200

2014-02-09 11:13

reporter   ~0000211

Hallo dr.e.,

ich hab doch einen (von mir getesteten) Fix gepostet. Den kannst du doch verwenden.

LG

ChristianAchatz

2014-02-09 11:21

administrator   ~0000212

Last edited: 2014-02-09 11:22

View 2 revisions

Ich habe den potentiellen Fehler nun komplett entfernt. Magst du mal die angehängte Datei (ArrayPagerController.php.fixed) in deiner lokalen Installation testen?

apffan200

2014-02-09 11:23

reporter   ~0000213

Die angehängte Datei verwende ich bereits lokal und hat bisher funktioniert.

ChristianAchatz

2014-02-09 11:24

administrator   ~0000214

Hallo apffan200,

dein Fix funktioniert definitiv - danke dafür. Allerdings verletzten die weiterhin enthaltenen Zugriffe und Manipulationen von $this->attributes die Sichtbarkeitsdefinition der Attribut-Liste und ich wollte den Code - wenn wir ihn schon anfassen - gleich aufräumen. ;)

apffan200

2014-02-09 12:10

reporter   ~0000215

Hallo dr.e.,

leider habe ich keine Zeit das zu testen, man müsste doch eigentlich nur
$this->attributes['attribut'];
durch
$this->getDocument()->getAttribute('attribut');
ersetzten

ChristianAchatz

2014-02-09 19:06

administrator   ~0000216

Korrekt, das habe ich gemacht. Behebe den Fehler dann wie oben vorgeschlagen in 2.1.

Issue History

Date Modified Username Field Change
2014-01-03 10:12 apffan200 New Issue
2014-02-09 11:09 ChristianAchatz Note Added: 0000210
2014-02-09 11:13 apffan200 Note Added: 0000211
2014-02-09 11:21 ChristianAchatz Note Added: 0000212
2014-02-09 11:22 ChristianAchatz Note Edited: 0000212 View Revisions
2014-02-09 11:23 apffan200 Note Added: 0000213
2014-02-09 11:24 ChristianAchatz Note Added: 0000214
2014-02-09 12:10 apffan200 Note Added: 0000215
2014-02-09 19:06 ChristianAchatz Note Added: 0000216
2014-02-09 19:45 ChristianAchatz Status new => resolved
2014-02-09 19:45 ChristianAchatz Fixed in Version => 2.1
2014-02-09 19:45 ChristianAchatz Resolution open => fixed
2014-02-09 19:45 ChristianAchatz Assigned To => ChristianAchatz
2015-10-12 12:20 ChristianAchatz Status resolved => closed